version: "2"
services: 
    app:
        container_name: api-gateway
        restart: always
        build: .
        ports: 
            - "8080:8080"
        links: 
            - mongo
            - redis
        environment:
            - DB_URL=mongodb://mongo:27017/api-gateway
            - REDIS_URL=redis://cache
        
        
    mongo:
        container_name: mongo
        image: mongo
        ports: 
            - "27017:27017"   
    
    redis:
        image: redis
        container_name: cache
        
        ports:
            - "6379:6379"